<template>
  <div>
    <b-navbar type="light" variant="secondary">
        <b-navbar-nav class="ml-auto">
      <b-dropdown size="sm" id="dropdown-1" text="Settings">
        <b-dropdown-item click="my_leave">My Leave</b-dropdown-item>
        <b-dropdown-item v-if="is_user_admin" @click="manage_manager">Manage Managers</b-dropdown-item>
        <b-dropdown-item v-if="is_user_manager" @click="manager_view">Manage Leaves</b-dropdown-item>        
        <b-dropdown-item @click="logout">Logout</b-dropdown-item>
      </b-dropdown>
      </b-navbar-nav>
    </b-navbar>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
export default {
    
  name: "Navbar",
  computed: {
    ...mapGetters("login", {
      is_user_admin: "is_user_admin",
      is_user_manager: "is_user_manager"
    })
  },
  data() {
    return {};
  },
  mounted: function() {},
  methods: {
      logout() {
          this.$store.commit('login/logout')
          this.$router.push({ path: '/' })
      },
      manage_manager() {
          this.$router.push({ path: '/admin-dashboard' })
      },
      manager_view() {
          this.$router.push({ path: '/manager-dashboard' })  
      },
      my_leave() {
          this.$router.push({ path: '/dashboard' })  
      }        
  }
};
</script>

<style>
</style>
